maverick now works, tested on a xM A

Signed-off-by: Robert Nelson <robertcnelson@gmail.com>
pull/8/head
Robert Nelson 14 years ago
parent cb454d253c
commit a41f1a19c5

@ -402,6 +402,8 @@ case "$DIST" in
maverick)
sudo cp -v ${DIR}/scripts/flash-kernel.conf ${TEMPDIR}/initrd-tree/etc/flash-kernel.conf
sudo cp -v ${DIR}/scripts/ttyO2.conf ${TEMPDIR}/initrd-tree/etc/ttyO2.conf
sudo chmod a+x ${TEMPDIR}/initrd-tree/usr/lib/finish-install.d/08rcn-omap
sudo cp -v ${DIR}/scripts/${DIST}-preseed.cfg ${TEMPDIR}/initrd-tree/preseed.cfg
;;
squeeze)
sudo cp -v ${DIR}/scripts/e2fsck.conf ${TEMPDIR}/initrd-tree/etc/e2fsck.conf
@ -963,7 +965,7 @@ required options:
squeeze <default>
Ubuntu
lucid <Bx and Cx boards only>
maverick <testing>
maverick <works with all BeagleBoard's>
--firmware
Add distro firmware

@ -0,0 +1,30 @@
### Apt setup
# You can choose to install non-free and contrib software.
#d-i apt-setup/non-free boolean true
#d-i apt-setup/contrib boolean true
# Individual additional packages to install
d-i pkgsel/include string uboot-mkimage pastebinit initramfs-tools wget linux-firmware linux-firmware-nonfree ntpdate
# Whether to upgrade packages after debootstrap.
# Allowed values: none, safe-upgrade, full-upgrade
d-i pkgsel/upgrade select safe-upgrade
# Controls whether to use NTP to set the clock during the install
d-i clock-setup/ntp boolean true
# During installations from serial console, the regular virtual consoles
# (VT1-VT6) are normally disabled in /etc/inittab. Uncomment the next
# line to prevent this.
d-i finish-install/keep-consoles boolean true
# Avoid that last message about the install being complete.
d-i finish-install/reboot_in_progress note
# This command is run just before the install finishes, but when there is
# still a usable /target directory. You can chroot to /target and use it
# directly, or use the apt-install and in-target commands to easily install
# packages and run commands in the target system.
d-i preseed/late_command \
string apt-install parted; in-target /sbin/parted /dev/mmcblk0 set 1 boot on ;

@ -1,51 +1,36 @@
diff --git a/lib/chroot-setup.sh b/lib/chroot-setup.sh
index 61bc6ae..fea0a1b 100644
--- a/lib/chroot-setup.sh
+++ b/lib/chroot-setup.sh
@@ -110,6 +110,12 @@ EOF
APT_LISTCHANGES_FRONTEND=none
export APT_LISTCHANGES_FRONTEND
+ cp /etc/flash-kernel.conf /target/etc/flash-kernel.conf
+ #cp /etc/e2fsck.conf /target/etc/e2fsck.conf
+ mkdir -p /target/etc/init/
+
+ cp /etc/ttyO2.conf /target/etc/init/ttyO2.conf
diff --git a/usr/lib/finish-install.d/08rcn-omap b/usr/lib/finish-install.d/08rcn-omap
new file mode 100755
index 0000000..6d06fc7
--- /dev/null
+++ b/usr/lib/finish-install.d/08rcn-omap
@@ -0,0 +1,30 @@
+#!/bin/sh -e
+cp /etc/flash-kernel.conf /target/etc/flash-kernel.conf
+cp /etc/ttyO2.conf /target/etc/init/ttyO2.conf
+
+if [ -e /etc/rcn.conf ]; then
+ mkdir -p /tmp/mmc
+ mount /dev/mmcblk0p1 /tmp/mmc
+ rm -f /tmp/mmc/boot.scr || true
+ mv /tmp/mmc/user.scr /tmp/mmc/boot.scr
+ rm -f /tmp/mmc/uInitrd.net || true
+
+ #Thank You Ubuntu; arrrggg!!!
+ rm -f /tmp/mmc/uInitrd || true
+ rm -f /tmp/mmc/uInitrd.bak || true
+ rm -f /tmp/mmc/uImage || true
+ rm -f /tmp/mmc/uImage.bak || true
+
+ mv /tmp/mmc/uInitrd.end /tmp/mmc/uInitrd
+ mv /tmp/mmc/uImage.net /tmp/mmc/uImage
+ LD_LIBRARY_PATH=/target/lib /target/usr/bin/dpkg-deb -x /tmp/mmc/linux-image-*_1.0*_armel.deb /target/
+ rm -f /tmp/mmc/linux-image-*_1.0*_armel.deb || true
+ sync
+ umount /tmp/mmc
+
+ mkdir -p /target/boot/uboot
+ echo "/dev/mmcblk0p1 /boot/uboot auto defaults 0 0" >> /target/etc/fstab
+
+ rm -f /etc/rcn.conf
+fi
+
return 0
}
@@ -120,6 +126,33 @@ chroot_cleanup () {
mv /target/sbin/initctl.REAL /target/sbin/initctl
fi
+ #if [ -e /target/boot/initrd.img ]; then
+ # /usr/sbin/flash_eraseall /dev/mtd2
+
+
+ #fi
+
+
+
+ if [ -e /etc/rcn.conf ]; then
+ #mkdir -p /tmp/mmc
+ #mount /dev/mmcblk0p1 /tmp/mmc
+ #cp /tmp/mmc/boot.scr /tmp/mmc/netinstall.scr
+ #cp /tmp/mmc/normal.scr /tmp/mmc/boot.scr
+ #rm -f /tmp/mmc/uInitrd.net
+ #sync
+ #umount /tmp/mmc
+
+ mkdir -p /target/boot/uboot
+ echo "/dev/mmcblk0p1 /boot/uboot auto defaults 0 0" >> /target/etc/fstab
+
+ cp -r /lib/modules/`uname -r`/ /target/lib/modules/
+ cp -r /lib/firmware/ /target/lib/
+ rm -f /etc/rcn.conf
+
+
+ fi
+
# Undo the mounts done by the packages during installation.
# Reverse sorting to umount the deepest mount points first.
# Items with count of 1 are new.

Loading…
Cancel
Save